function  zdot = satteliterhs(t,z,p)
  %Assume mass 1 is held in place by a sky hook
  m1 = p.m1;  m2 = p.m2; G=p.G;
  r1 = z(1:2);  r2 = z(3:4); % unpack z, r is position of mass 2
  v1 = z(5:6);  v2 = z(7:8); %
  
  r12 = r2 - r1;
  magr12 = sqrt(dot(r12,r12));   % magnitude of r12
  ur12   = r12/magr12;           % unit vector in r12 direction
   
  %%%%%%
  r1dot = v1;                   % velocity vector of m1
  r2dot = v2;                   % velocity vector of m1
  v1dot =   (G*m2/(magr12^2))*ur12;  % that's a (m2 cancels)
  v2dot =  -(G*m1/(magr12^2))*ur12;  % that's a (m2 cancels)
  
  %%%%%%
  
  zdot = [r1dot;r2dot;v1dot;v2dot];     %rhs of 1st order ODEs
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%